"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MySqlDriver = void 0;
const knex_1 = require("@mikro-orm/knex");
const MySqlConnection_1 = require("./MySqlConnection");
const MySqlPlatform_1 = require("./MySqlPlatform");
class MySqlDriver extends knex_1.AbstractSqlDriver {
    constructor(config) {
        super(config, new MySqlPlatform_1.MySqlPlatform(), MySqlConnection_1.MySqlConnection, ['knex', 'mysql2']);
    }
    async nativeInsertMany(entityName, data, options = {}) {
        options.processCollections ?? (options.processCollections = true);
        const res = await super.nativeInsertMany(entityName, data, options);
        const pks = this.getPrimaryKeyFields(entityName);
        data.forEach((item, idx) => res.rows[idx] = { [pks[0]]: item[pks[0]] ?? res.insertId + idx });
        res.row = res.rows[0];
        return res;
    }
}
exports.MySqlDriver = MySqlDriver;
